FROM openjdk:8u272-jdk as builder
WORKDIR /application
ARG JAR_FILE=tcmonline-admin.jar
COPY ${JAR_FILE} application.jar
RUN java -Djarmode=layertools -jar application.jar extract

FROM openjdk:8u272-jdk
WORKDIR /application
COPY --from=builder application/dependencies/ ./
COPY --from=builder application/snapshot-dependencies/ ./
COPY --from=builder application/spring-boot-loader/ ./
COPY --from=builder application/application/ ./
COPY docker-entrypoint.sh ./
RUN chmod +x docker-entrypoint.sh

# 安装Redis  
RUN apt-get update && apt-get install -y redis-server  

ENTRYPOINT ["./docker-entrypoint.sh"]
